View Issue Details

IDProjectCategoryView StatusLast Update
0030339Open CASCADEOCCT:Configurationpublic2021-05-14 15:31
Reporterkgv Assigned Toapn  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.4.0Fixed in Version7.4.0 
Summary0030339: Configuration - add project files for qmake
DescriptionThis issue is for providing a qmake (.pro) project files for building OCCT.
TagsNo tags attached.
Test case numberNot needed

Relationships

related to 0029410 newapn Community DRAW - make DRAWEXE usable without environment settings 
parent of 0030636 closedapn Open CASCADE Configuration, qmake - unable to build using VS2017 
parent of 0030639 closedbugmaster Open CASCADE Configuration, qmake - unable to build with VTK 
parent of 0030682 closedbugmaster Open CASCADE Configuration, qmake - all warnings are suppressed on macOS target 
parent of 0031888 closedbugmaster Open CASCADE Configuration, qmake - linkage error due to missing .cpp file in TKMesh 
parent of 0032372 closedbugmaster Open CASCADE Configuration, qmake - define -Wall -Wextra flags for consistency with CMake options 
related to 0032318 newbugmaster Open CASCADE Configuration - Draw Harness is unable to load plugins on Ubuntu 21.04 
related to 0032321 newkgv Open CASCADE Draw Harness - pload should be able loading plugins with version suffix 
Not all the children of this issue are yet resolved or closed.

Activities

git

2018-11-04 21:25

administrator   ~0080727

Branch CR30339 has been created by kgv.

SHA-1: 430494651de982e425a9780179c58590549f9218


Detailed log of new commits:

Author: kgv
Date: Sun Nov 4 17:58:25 2018 +0300

    0030339: Configuration - add project files for qmake

git

2018-11-04 23:36

administrator   ~0080728

Branch CR30339 has been updated forcibly by kgv.

SHA-1: 057eefef0756000dc4a9913721531a11fc1ef668

git

2018-11-05 00:10

administrator   ~0080729

Branch CR30339 has been updated forcibly by kgv.

SHA-1: 7876ca0aa36c9f0d4313ef871ab75620bbb6cb3f

git

2018-11-05 01:02

administrator   ~0080730

Branch CR30339 has been updated forcibly by kgv.

SHA-1: ff9c7525076aa7363d04073d210b7a0561b4d42f

git

2018-11-07 12:22

administrator   ~0080814

Branch CR30339 has been updated forcibly by kgv.

SHA-1: 34a74bdd032df9922f53263ef59d4e67709ce834

git

2019-01-21 12:07

administrator   ~0081834

Branch CR30339 has been updated forcibly by kgv.

SHA-1: 87b7d118dc9c91a822477b7a1d8b317b8111a752

git

2019-01-21 12:28

administrator   ~0081835

Branch CR30339 has been updated forcibly by kgv.

SHA-1: ca599800e0b24e08c9cc1246a71ecf21540c4ce5

git

2019-03-30 20:24

administrator   ~0083322

Branch CR30339 has been updated forcibly by kgv.

SHA-1: 037f8e94a77885bcedb2a753e08e748bcceaab12

git

2019-03-30 21:26

administrator   ~0083323

Branch CR30339 has been updated forcibly by kgv.

SHA-1: a18f644de84a23f44e88d1417887c869b5aaff72

git

2019-03-31 21:45

administrator   ~0083325

Branch CR30339 has been updated forcibly by kgv.

SHA-1: e166b87c165fceda6fccf5473cb650475bb46717

git

2019-04-01 01:19

administrator   ~0083327

Branch CR30339 has been updated forcibly by kgv.

SHA-1: 5253270e57637bd2bf941407c1ed8e1d06d39bfd

git

2019-04-01 16:20

administrator   ~0083329

Branch CR30339 has been updated forcibly by kgv.

SHA-1: b8b921e87a975f00273d988c9278550a20990b2d

git

2019-04-01 17:15

administrator   ~0083333

Branch CR30339 has been updated forcibly by kgv.

SHA-1: cbfe91390f47ae42eb1f153ceebb97a4f0066414

git

2019-04-01 17:35

administrator   ~0083336

Branch CR30339 has been updated forcibly by kgv.

SHA-1: c22ae006153005ccd2b0489ca57cbc5bf9ca184a

git

2019-04-01 18:39

administrator   ~0083337

Branch CR30339 has been updated forcibly by kgv.

SHA-1: ad7d99d71b34f40bfb7227023252505559c0bcb0

git

2019-04-01 19:00

administrator   ~0083338

Branch CR30339 has been updated forcibly by kgv.

SHA-1: 8216590d62da9709da952ff88d18ff914436b173

git

2019-04-01 20:09

administrator   ~0083340

Branch CR30339 has been updated forcibly by kgv.

SHA-1: 99ec887abcf1f5d721ea1f49102199ffe9a8bae9

git

2019-04-01 20:31

administrator   ~0083341

Branch CR30339_1 has been created by kgv.

SHA-1: cad60a680acd6906cfcdd9af8108c76ab02de590


Detailed log of new commits:

Author: kgv
Date: Sun Nov 4 17:58:25 2018 +0300

    0030339: Configuration - add project files for qmake
    
    Added adm/qmake/Occt.pro for building OCCT using Qt Creator.
    
    Draw_Appli now tries resolving CASROOT location within usual OCCT development environment.
    Added missing TKShHealing dependency to TKDraw/DRAWEXE (inherited from TKMesh).

git

2019-04-01 21:51

administrator   ~0083342

Branch CR30339_1 has been updated forcibly by kgv.

SHA-1: 9f2309be9f2577fe580dfab1bf6443f62e6997b1

git

2019-04-01 22:02

administrator   ~0083343

Branch CR30339_1 has been updated forcibly by kgv.

SHA-1: a0e00287c8b1fa0a32d8f6b04df405d1d52f9892

git

2019-04-01 22:06

administrator   ~0083344

Branch CR30339_1 has been updated forcibly by kgv.

SHA-1: 1668405f411ac2098e3cb9040def08d5814fddc1

git

2019-04-01 23:46

administrator   ~0083345

Branch CR30339_1 has been updated forcibly by kgv.

SHA-1: 3be2a20db9805e6d732f21abd9190eac80b52de2

git

2019-04-01 23:50

administrator   ~0083346

Branch CR30339_1 has been updated forcibly by kgv.

SHA-1: e0d0cbb06c50201ff666753a64352f67d7b763c1

kgv

2019-04-02 01:00

developer   ~0083347

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30339_1-master-KGV/

git

2019-04-02 09:29

administrator   ~0083348

Branch CR30339_1 has been updated forcibly by kgv.

SHA-1: 68e23568a5195830a3770a3d8153f3e0c8e3ab0c

git

2019-04-02 09:34

administrator   ~0083349

Branch CR30339_1 has been updated forcibly by kgv.

SHA-1: a78d1e20d8f1ceaabbae283dea981f1c0864ca00

git

2019-04-02 10:25

administrator   ~0083351

Branch CR30339_1 has been updated forcibly by kgv.

SHA-1: 45a7841e913bcc7c3152d27ac79fba1e9a50dbd8

git

2019-04-08 12:17

administrator   ~0083482

Branch CR30339_1 has been deleted by inv.

SHA-1: 45a7841e913bcc7c3152d27ac79fba1e9a50dbd8

git

2019-04-08 12:17

administrator   ~0083483

Branch CR30339 has been deleted by inv.

SHA-1: 99ec887abcf1f5d721ea1f49102199ffe9a8bae9

Related Changesets

occt: master aafe169f

2019-04-01 20:44:20

kgv


Committer: apn Details Diff
0030339: Configuration - add project files for qmake

Added adm/qmake/Occt.pro for building OCCT using Qt Creator.
genproj/genconf scripts have been extended with an option defining project format.

Draw_Appli now tries resolving CASROOT/DRAWDEFAULT/CSF_OCCTResourcePath/CSF_OCCTSamplesPath
locations within usual OCCT development/installation environment.
Added missing TKShHealing dependency to TKDraw/DRAWEXE (inherited from TKMesh).
OSD_Process::ExecutableFolder() - added method returning executable folder.
Affected Issues
0030339
add - adm/.gitignore Diff File
mod - adm/genconf.tcl Diff File
mod - adm/genconfdeps.tcl Diff File
mod - adm/genproj.tcl Diff File
add - adm/qmake/.gitignore Diff File
add - adm/qmake/custom.pri.template Diff File
add - adm/qmake/OccCppConfig.pri Diff File
add - adm/qmake/OccModule.pri Diff File
add - adm/qmake/OccModule.pro.in Diff File
add - adm/qmake/Occt.pro Diff File
add - adm/qmake/OcctDummy.in Diff File
add - adm/qmake/OcctHeaderLink.hxx.in Diff File
add - adm/qmake/OccToolkit.pri Diff File
add - adm/qmake/OccToolkit.pro.in Diff File
mod - adm/templates/env.sh Diff File
mod - genproj Diff File
mod - genproj.bat Diff File
mod - src/Draw/Draw.cxx Diff File
mod - src/Draw/Draw_PloadCommands.cxx Diff File
mod - src/DRAWEXE/EXTERNLIB Diff File
mod - src/OSD/OSD_Process.cxx Diff File
mod - src/OSD/OSD_Process.hxx Diff File
mod - src/TKDraw/EXTERNLIB Diff File
mod - src/TKService/EXTERNLIB Diff File

Issue History

Date Modified Username Field Change
2018-11-04 21:23 kgv New Issue
2018-11-04 21:23 kgv Assigned To => kgv
2018-11-04 21:25 git Note Added: 0080727
2018-11-04 23:36 git Note Added: 0080728
2018-11-05 00:10 git Note Added: 0080729
2018-11-05 01:02 git Note Added: 0080730
2018-11-07 12:22 git Note Added: 0080814
2019-01-21 10:49 kgv Relationship added related to 0029410
2019-01-21 12:07 git Note Added: 0081834
2019-01-21 12:28 git Note Added: 0081835
2019-03-30 20:24 git Note Added: 0083322
2019-03-30 21:26 git Note Added: 0083323
2019-03-31 21:45 git Note Added: 0083325
2019-04-01 01:19 git Note Added: 0083327
2019-04-01 16:20 git Note Added: 0083329
2019-04-01 17:15 git Note Added: 0083333
2019-04-01 17:35 git Note Added: 0083336
2019-04-01 18:39 git Note Added: 0083337
2019-04-01 19:00 git Note Added: 0083338
2019-04-01 20:09 git Note Added: 0083340
2019-04-01 20:31 git Note Added: 0083341
2019-04-01 21:51 git Note Added: 0083342
2019-04-01 22:02 git Note Added: 0083343
2019-04-01 22:06 git Note Added: 0083344
2019-04-01 23:46 git Note Added: 0083345
2019-04-01 23:50 git Note Added: 0083346
2019-04-02 01:00 kgv Note Added: 0083347
2019-04-02 01:00 kgv Assigned To kgv => apn
2019-04-02 01:00 kgv Severity minor => feature
2019-04-02 01:00 kgv Status new => resolved
2019-04-02 09:29 git Note Added: 0083348
2019-04-02 09:34 git Note Added: 0083349
2019-04-02 10:25 git Note Added: 0083351
2019-04-08 00:44 apn Test case number => Not needed
2019-04-08 00:47 apn Changeset attached => occt master aafe169f
2019-04-08 00:47 apn Status resolved => verified
2019-04-08 00:47 apn Resolution open => fixed
2019-04-08 12:17 git Note Added: 0083482
2019-04-08 12:17 git Note Added: 0083483
2019-04-08 16:59 kgv Relationship added parent of 0030636
2019-04-08 19:14 apn Relationship added parent of 0030639
2019-04-29 22:21 kgv Relationship added parent of 0030682
2020-10-29 17:09 kgv Relationship added parent of 0031888
2021-04-22 20:11 kgv Relationship added related to 0032318
2021-04-23 09:45 kgv Relationship added related to 0032321
2021-05-14 15:31 kgv Relationship added parent of 0032372